  const cityTimezones = require('city-timezones');
  const moment = require('moment-timezone');
  
  const iso2toiso3 = [{ id: 'AF' , value: 'AFG' } ,
  { id: 'AD' , value: 'AND' } ,
  { id: 'AE' , value: 'ARE' } ,
  { id: 'AG' , value: 'ATG' } ,
  { id: 'AI' , value: 'AIA' } ,
  { id: 'AL' , value: 'ALB' } ,
  { id: 'AM' , value: 'ARM' } ,
  { id: 'AN' , value: 'ANT' } ,
  { id: 'AO' , value: 'AGO' } ,
  { id: 'AQ' , value: 'ATA' } ,
  { id: 'AR' , value: 'ARG' } ,
  { id: 'AS' , value: 'ASM' } ,
  { id: 'AT' , value: 'AUT' } ,
  { id: 'AU' , value: 'AUS' } ,
  { id: 'AW' , value: 'ABW' } ,
  { id: 'AZ' , value: 'AZE' } ,
  { id: 'BA' , value: 'BIH' } ,
  { id: 'BB' , value: 'BRB' } ,
  { id: 'BD' , value: 'BGD' } ,
  { id: 'BE' , value: 'BEL' } ,
  { id: 'BF' , value: 'BFA' } ,
  { id: 'BG' , value: 'BGR' } ,
  { id: 'BH' , value: 'BHR' } ,
  { id: 'BI' , value: 'BDI' } ,
  { id: 'BJ' , value: 'BEN' } ,
  { id: 'BM' , value: 'BMU' } ,
  { id: 'BN' , value: 'BRN' } ,
  { id: 'BO' , value: 'BOL' } ,
  { id: 'BR' , value: 'BRA' } ,
  { id: 'BS' , value: 'BHS' } ,
  { id: 'BT' , value: 'BTN' } ,
  { id: 'BV' , value: 'BVT' } ,
  { id: 'BW' , value: 'BWA' } ,
  { id: 'BY' , value: 'BLR' } ,
  { id: 'BZ' , value: 'BLZ' } ,
  { id: 'CA' , value: 'CAN' } ,
  { id: 'CC' , value: 'CCK' } ,
  { id: 'CF' , value: 'CAF' } ,
  { id: 'CG' , value: 'COG' } ,
  { id: 'CH' , value: 'CHE' } ,
  { id: 'CI' , value: 'CIV' } ,
  { id: 'CK' , value: 'COK' } ,
  { id: 'CL' , value: 'CHL' } ,
  { id: 'CM' , value: 'CMR' } ,
  { id: 'CN' , value: 'CHN' } ,
  { id: 'CO' , value: 'COL' } ,
  { id: 'CR' , value: 'CRI' } ,
  { id: 'CU' , value: 'CUB' } ,
  { id: 'CV' , value: 'CPV' } ,
  { id: 'CX' , value: 'CXR' } ,
  { id: 'CY' , value: 'CYP' } ,
  { id: 'CZ' , value: 'CZE' } ,
  { id: 'DE' , value: 'DEU' } ,
  { id: 'DJ' , value: 'DJI' } ,
  { id: 'DK' , value: 'DNK' } ,
  { id: 'DM' , value: 'DMA' } ,
  { id: 'DO' , value: 'DOM' } ,
  { id: 'DZ' , value: 'DZA' } ,
  { id: 'EC' , value: 'ECU' } ,
  { id: 'EE' , value: 'EST' } ,
  { id: 'EG' , value: 'EGY' } ,
  { id: 'EH' , value: 'ESH' } ,
  { id: 'ER' , value: 'ERI' } ,
  { id: 'ES' , value: 'ESP' } ,
  { id: 'ET' , value: 'ETH' } ,
  { id: 'FI' , value: 'FIN' } ,
  { id: 'FJ' , value: 'FJI' } ,
  { id: 'FK' , value: 'FLK' } ,
  { id: 'FM' , value: 'FSM' } ,
  { id: 'FO' , value: 'FRO' } ,
  { id: 'FR' , value: 'FRA' } ,
  { id: 'FX' , value: 'FXX' } ,
  { id: 'GA' , value: 'GAB' } ,
  { id: 'GB' , value: 'GBR' } ,
  { id: 'GD' , value: 'GRD' } ,
  { id: 'GE' , value: 'GEO' } ,
  { id: 'GF' , value: 'GUF' } ,
  { id: 'GH' , value: 'GHA' } ,
  { id: 'GI' , value: 'GIB' } ,
  { id: 'GL' , value: 'GRL' } ,
  { id: 'GM' , value: 'GMB' } ,
  { id: 'GN' , value: 'GIN' } ,
  { id: 'GP' , value: 'GLP' } ,
  { id: 'GQ' , value: 'GNQ' } ,
  { id: 'GR' , value: 'GRC' } ,
  { id: 'GS' , value: 'SGS' } ,
  { id: 'GT' , value: 'GTM' } ,
  { id: 'GU' , value: 'GUM' } ,
  { id: 'GW' , value: 'GNB' } ,
  { id: 'GY' , value: 'GUY' } ,
  { id: 'HK' , value: 'HKG' } ,
  { id: 'HM' , value: 'HMD' } ,
  { id: 'HN' , value: 'HND' } ,
  { id: 'HR' , value: 'HRV' } ,
  { id: 'HT' , value: 'HTI' } ,
  { id: 'HU' , value: 'HUN' } ,
  { id: 'ID' , value: 'IDN' } ,
  { id: 'IE' , value: 'IRL' } ,
  { id: 'IL' , value: 'ISR' } ,
  { id: 'IN' , value: 'IND' } ,
  { id: 'IO' , value: 'IOT' } ,
  { id: 'IQ' , value: 'IRQ' } ,
  { id: 'IR' , value: 'IRN' } ,
  { id: 'IS' , value: 'ISL' } ,
  { id: 'IT' , value: 'ITA' } ,
  { id: 'JM' , value: 'JAM' } ,
  { id: 'JO' , value: 'JOR' } ,
  { id: 'JP' , value: 'JPN' } ,
  { id: 'KE' , value: 'KEN' } ,
  { id: 'KG' , value: 'KGZ' } ,
  { id: 'KH' , value: 'KHM' } ,
  { id: 'KI' , value: 'KIR' } ,
  { id: 'KM' , value: 'COM' } ,
  { id: 'KN' , value: 'KNA' } ,
  { id: 'KP' , value: 'PRK' } ,
  { id: 'KR' , value: 'KOR' } ,
  { id: 'KW' , value: 'KWT' } ,
  { id: 'KY' , value: 'CYM' } ,
  { id: 'KZ' , value: 'KAZ' } ,
  { id: 'LA' , value: 'LAO' } ,
  { id: 'LB' , value: 'LBN' } ,
  { id: 'LC' , value: 'LCA' } ,
  { id: 'LI' , value: 'LIE' } ,
  { id: 'LK' , value: 'LKA' } ,
  { id: 'LR' , value: 'LBR' } ,
  { id: 'LS' , value: 'LSO' } ,
  { id: 'LT' , value: 'LTU' } ,
  { id: 'LU' , value: 'LUX' } ,
  { id: 'LV' , value: 'LVA' } ,
  { id: 'LY' , value: 'LBY' } ,
  { id: 'MA' , value: 'MAR' } ,
  { id: 'MC' , value: 'MCO' } ,
  { id: 'MD' , value: 'MDA' } ,
  { id: 'MG' , value: 'MDG' } ,
  { id: 'MH' , value: 'MHL' } ,
  { id: 'MK' , value: 'MKD' } ,
  { id: 'ML' , value: 'MLI' } ,
  { id: 'MM' , value: 'MMR' } ,
  { id: 'MN' , value: 'MNG' } ,
  { id: 'MO' , value: 'MAC' } ,
  { id: 'MP' , value: 'MNP' } ,
  { id: 'MQ' , value: 'MTQ' } ,
  { id: 'MR' , value: 'MRT' } ,
  { id: 'MS' , value: 'MSR' } ,
  { id: 'MT' , value: 'MLT' } ,
  { id: 'MU' , value: 'MUS' } ,
  { id: 'MV' , value: 'MDV' } ,
  { id: 'MW' , value: 'MWI' } ,
  { id: 'MX' , value: 'MEX' } ,
  { id: 'MY' , value: 'MYS' } ,
  { id: 'MZ' , value: 'MOZ' } ,
  { id: 'NA' , value: 'NAM' } ,
  { id: 'NC' , value: 'NCL' } ,
  { id: 'NE' , value: 'NER' } ,
  { id: 'NF' , value: 'NFK' } ,
  { id: 'NG' , value: 'NGA' } ,
  { id: 'NI' , value: 'NIC' } ,
  { id: 'NL' , value: 'NLD' } ,
  { id: 'NO' , value: 'NOR' } ,
  { id: 'NP' , value: 'NPL' } ,
  { id: 'NR' , value: 'NRU' } ,
  { id: 'NU' , value: 'NIU' } ,
  { id: 'NZ' , value: 'NZL' } ,
  { id: 'OM' , value: 'OMN' } ,
  { id: 'PA' , value: 'PAN' } ,
  { id: 'PE' , value: 'PER' } ,
  { id: 'PF' , value: 'PYF' } ,
  { id: 'PG' , value: 'PNG' } ,
  { id: 'PH' , value: 'PHL' } ,
  { id: 'PK' , value: 'PAK' } ,
  { id: 'PL' , value: 'POL' } ,
  { id: 'PM' , value: 'SPM' } ,
  { id: 'PN' , value: 'PCN' } ,
  { id: 'PR' , value: 'PRI' } ,
  { id: 'PT' , value: 'PRT' } ,
  { id: 'PW' , value: 'PLW' } ,
  { id: 'PY' , value: 'PRY' } ,
  { id: 'QA' , value: 'QAT' } ,
  { id: 'RE' , value: 'REU' } ,
  { id: 'RO' , value: 'ROM' } ,
  { id: 'RU' , value: 'RUS' } ,
  { id: 'RW' , value: 'RWA' } ,
  { id: 'SA' , value: 'SAU' } ,
  { id: 'SB' , value: 'SLB' } ,
  { id: 'SC' , value: 'SYC' } ,
  { id: 'SD' , value: 'SDN' } ,
  { id: 'SE' , value: 'SWE' } ,
  { id: 'SG' , value: 'SGP' } ,
  { id: 'SH' , value: 'SHN' } ,
  { id: 'SI' , value: 'SVN' } ,
  { id: 'SJ' , value: 'SJM' } ,
  { id: 'SK' , value: 'SVK' } ,
  { id: 'SL' , value: 'SLE' } ,
  { id: 'SM' , value: 'SMR' } ,
  { id: 'SN' , value: 'SEN' } ,
  { id: 'SO' , value: 'SOM' } ,
  { id: 'SR' , value: 'SUR' } ,
  { id: 'ST' , value: 'STP' } ,
  { id: 'SV' , value: 'SLV' } ,
  { id: 'SY' , value: 'SYR' } ,
  { id: 'SZ' , value: 'SWZ' } ,
  { id: 'TC' , value: 'TCA' } ,
  { id: 'TD' , value: 'TCD' } ,
  { id: 'TF' , value: 'ATF' } ,
  { id: 'TG' , value: 'TGO' } ,
  { id: 'TH' , value: 'THA' } ,
  { id: 'TJ' , value: 'TJK' } ,
  { id: 'TK' , value: 'TKL' } ,
  { id: 'TM' , value: 'TKM' } ,
  { id: 'TN' , value: 'TUN' } ,
  { id: 'TO' , value: 'TON' } ,
  { id: 'TP' , value: 'TMP' } ,
  { id: 'TR' , value: 'TUR' } ,
  { id: 'TT' , value: 'TTO' } ,
  { id: 'TV' , value: 'TUV' } ,
  { id: 'TW' , value: 'TWN' } ,
  { id: 'TZ' , value: 'TZA' } ,
  { id: 'UA' , value: 'UKR' } ,
  { id: 'UG' , value: 'UGA' } ,
  { id: 'UM' , value: 'UMI' } ,
  { id: 'US' , value: 'USA' } ,
  { id: 'UY' , value: 'URY' } ,
  { id: 'UZ' , value: 'UZB' } ,
  { id: 'VA' , value: 'VAT' } ,
  { id: 'VC' , value: 'VCT' } ,
  { id: 'VE' , value: 'VEN' } ,
  { id: 'VG' , value: 'VGB' } ,
  { id: 'VI' , value: 'VIR' } ,
  { id: 'VN' , value: 'VNM' } ,
  { id: 'VU' , value: 'VUT' } ,
  { id: 'WF' , value: 'WLF' } ,
  { id: 'WS' , value: 'WSM' } ,
  { id: 'YE' , value: 'YEM' } ,
  { id: 'YT' , value: 'MYT' } ,
  { id: 'YU' , value: 'YUG' } ,
  { id: 'ZA' , value: 'ZAF' } ,
  { id: 'ZM' , value: 'ZMB' } ,
  { id: 'ZR' , value: 'ZAR' } ,
  { id: 'ZW' , value: 'ZWE' } ,
  ];
  
  const changeTimeZone = (unixTime, cityName, countryCodeISO2) => {
    const unix = unixTime;
  const unix13 = unix * 1000;
  const city = cityName;
  const countryCode = countryCodeISO2;
  let countryCodeISO3 = '';
  iso2toiso3.find((object) => {
      if (object.id === countryCode) {
          countryCodeISO3 = object.value;
      }
  });
  
  
  const cityLookup = cityTimezones.lookupViaCity(city);
  let correctTimeZone = '';
  cityLookup.find((element) => {
      if (element.iso3 === countryCodeISO3) {
          correctTimeZone = element.timezone;
      }
  });
  
  const time = moment.tz(unix13, correctTimeZone).toString();
  
  return time;
  };
  